# typed: strict
class Scraper::TwitterHttpClientConfig < Scraper::HttpClientConfig
  DEFAULT_ALLOWED_DOMAINS = %w[*.twimg.com ipinfo.io]

  sig { override.returns(T.nilable(T::Array[T::Hash[Symbol, T.untyped]])) }
  def cookies
    []
  end

  sig { override.returns(T::Array[[String, Numeric]]) }
  def ratelimit
    [["*.twimg.com", 0.5], ["*", 1]]
  end

  sig { override.returns(T::Array[String]) }
  def allowed_domains
    DEFAULT_ALLOWED_DOMAINS
  end

  sig { override.returns(Integer) }
  def redirect_limit
    4
  end
end
